import type { FileName } from "./FileName";
import type { FileNameVariablesEnabled } from "./FileNameVariablesEnabled";
import type { FolderPathVariablesEnabled } from "./FolderPathVariablesEnabled";
import type { RelativeOrAbsoluteFolderPath } from "./RelativeOrAbsoluteFolderPath";
/**
 * An object containing a `fileName` and/or `folderPath`.
 *
 * Both fields are optional and support path variables.
 *
 * If a field is omitted, the API key's default value is used for that field. Default values are configured per API key via the Upload Dashboard.
 */
export declare type DynamicFilePath = {
    fileName?: FileName;
    fileNameVariablesEnabled?: FileNameVariablesEnabled;
    folderPath?: RelativeOrAbsoluteFolderPath;
    folderPathVariablesEnabled?: FolderPathVariablesEnabled;
};
